package de.almostintelligent.jaste;

import java.util.LinkedList;
import java.util.List;

import de.almostintelligent.jaste.token.TemplateToken;

public class Page {

    private List<TemplateToken> tokens = new LinkedList<>();

    public void appendToken(TemplateToken t) {
        tokens.add(t);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (TemplateToken t : tokens) {
            sb.append(t.toString());
        }
        return sb.toString();
    }
}
